Haskell Platform 2011.2.0.0

Help
2011-03-14
2012-12-06
  • Kevin Esler
    Kevin Esler
    2011-03-14

    When I run EclipseFP on a system with Haskell Platform 2011.2.0.0 installed I get the following in a console window labelled "Building Scion Server":

    Reading available packages…
    Warning: The package list for 'hackage.haskell.org' does not exist. Run 'cabal
    update' to download it.
    Resolving dependencies…
    cabal.exe: cannot configure scion-0.1.0.8. It requires AttoJson >=0.5.8,
    binary ==0.5.*, containers >=0.2 && <0.4, directory ==1.0.*, filepath ==1.1.*,
    ghc >=6.10 && <6.13, ghc-paths ==0.1.*, ghc-syb -any, ghc-syb-utils -any,
    hslogger >=1.1, list-tries -any, multiset >=0.1 && <0.3, time ==1.1.* and
    uniplate -any
    There is no available version of AttoJson that satisfies >=0.5.8
    There is no available version of binary that satisfies ==0.5.*
    There is no available version of containers that satisfies >=0.2 && <0.4
    There is no available version of directory that satisfies ==1.0.*
    There is no available version of filepath that satisfies ==1.1.*
    There is no available version of ghc that satisfies >=6.10 && <6.13
    There is no available version of ghc-paths that satisfies ==0.1.*
    There is no available version of ghc-syb that satisfies -any
    There is no available version of ghc-syb-utils that satisfies -any
    There is no available version of hslogger that satisfies >=1.1
    There is no available version of list-tries that satisfies -any
    There is no available version of multiset that satisfies >=0.1 && <0.3
    There is no available version of time that satisfies ==1.1.*
    There is no available version of uniplate that satisfies -any

    Is there any way to get it to work with this latest platform version?

     
  • JP Moresmau
    JP Moresmau
    2011-03-15

    Not for the moment, given that some of the libraries we depend on are not GHC7 ready, but we're working on it.

     
  • JP Moresmau
    JP Moresmau
    2011-03-21

    Get 2.0.4, it builds and works with the latest Haskell Platform. Thanls